//--------------------------------------------------------------------------------------------
//  Event Handling Code
//
//      by Philip McBride
//		taken from code by Nick Thompson
//
//--------------------------------------------------------------------------------------------


#include <Types.h>
#include <Traps.h>
#include <OSUtils.h>
#include <GestaltEqu.h>

short myNumToolboxTraps(void);
TrapType myGetTrapType(short theTrap);
Boolean	myTrapAvailable(short theTrap);

//--------------------------------------------------------------------------------------------
//  Get Trap Num
//
short myNumToolboxTraps(void)
{
	if (NGetTrapAddress(_InitGraf, ToolTrap) == NGetTrapAddress(0xAA6E,ToolTrap))
		return 0x0200;
	else
		return 0x0400;
}

//--------------------------------------------------------------------------------------------
//  Get Trap Type
//
TrapType myGetTrapType(short theTrap)
{
	if ((theTrap & 0x0800) > 0)
		return ToolTrap;
	else
		return OSTrap;
}

//--------------------------------------------------------------------------------------------
//  Check if Trap Available
//
Boolean	myTrapAvailable(short theTrap)
{
	TrapType tType;
	Boolean isAvail;
	
	tType = myGetTrapType(theTrap);
	if (tType == ToolTrap)
		{
			theTrap &= 0x07FF;
			if (theTrap >= myNumToolboxTraps())
				theTrap = _Unimplemented;
		}
	
	isAvail = NGetTrapAddress(theTrap, tType) != NGetTrapAddress(_Unimplemented, ToolTrap);
	return isAvail;
}