/*
	File:		CInternetConfig.cp

	Contains:	Layer on top of Internet Config

	Written by:	Arno Gourdol

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

*/

#pragma once

#ifndef __CINTERNETCONFIG__
#define __CINTERNETCONFIG__

#include "ICAPI.h"
#include "ICTypes.h"

class CInternetConfig
{
public:
	// constructor
	CInternetConfig(OSType creator);
		
	// destructor
	virtual ~CInternetConfig();		
	
	// accessors	
	void ICGetString(ConstStr255Param attributeName, Str255 string);
	void ICGetText(ConstStr255Param attributeName, Str255 string);
	void ICGetScrambledString(ConstStr255Param attributeName, Str255 string);
	
	// mutators
	void ICSetString(ConstStr255Param attributeName, Str255 string);
	void ICSetText(ConstStr255Param attributeName, Str255 string);
	void ICSetScrambledString(ConstStr255Param attributeName, Str255 string);
	
	// others
	inline OSErr ICBegin(ICPerm perm = icReadOnlyPerm);
	inline OSErr ICEnd(void);

private:
	ICInstance fInstance;
};



inline OSErr CInternetConfig::ICBegin(ICPerm perm)
{
	return ::ICBegin(fInstance, perm);
}

inline OSErr CInternetConfig::ICEnd(void)
{
	return ::ICEnd(fInstance);
}

#endif
