#include <Types.r>
#include <BalloonTypes.r>

#define kCommonPanel 200
#define kIntroPanel 201
#define kPersonalInfoPanel 202
#define kLocationPanel 203
#define kSignaturePanel 204
#define kEmailOnePanel 205
#define kEmailTwoPanel 206
#define kHomePagePanel 207
#define kNNTPHostPanel 208
#define kConclusionPanel 209
#define kDetailsPanel 210

#define kContinueButton 1
#define kGoBackButton 2
#define kBannerBackground 3
#define kHelpCommonItem 5
#define kLastCommonItem 5
#define kUserNameField (kLastCommonItem + 1)
#define kOrganizationField (kLastCommonItem + 2)
#define kMapUserItem (kLastCommonItem + 1)
#define kSignatureField (kLastCommonItem + 1)
#define kEmailField (kLastCommonItem + 1)
#define kPasswordField (kLastCommonItem + 2)
#define kEmailAccountField (kLastCommonItem + 1)
#define kSMTPHostField (kLastCommonItem + 2)
#define kHomePageField (kLastCommonItem + 1)
#define kNNTPHostField (kLastCommonItem + 1)
#define kGoAheadButton (kLastCommonItem + 1)
#define kCancelButton (kLastCommonItem + 2)
#define kShowDetailsButton (kLastCommonItem + 3)
#define kHideDetailsButton (kLastCommonItem + 3

resource 'hfdr' (kHMHelpID, "Finder Help", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	{									/*help messages for items*/
		HMTEResItem 					/*store help messages in 'TEXT' kHMHelpID*/
		{ 		
			kHMHelpID
		}
	}
};


resource 'hdlg' (kCommonPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem
	{					
	},
	/* Dialog items*/
	{									
	/* Continue button*/
		HMStringResItem 
		{
			{8, 23}, 					/* Place tip inside left edge of button*/
			{0,0,0,0},					/* Default alternate rectangle: use */
										/* display rectangle*/
			0, 0,						/* Enabled state*/
			kCommonPanel, 2, 			/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			kCommonPanel, 1,			/* Other state (enabled state for icon buttons) */
		},
	/* Go Back button */
		HMStringResItem 
		{
			{8, 2}, 					/* Place tip inside right edge of item */
			{0,0,0,0},					/* Default alternate rectangle: use */
										/* display rectangle */
			0, 0,						/* Enabled state */
			kCommonPanel, 4, 			/* Dimmed state */
			0, 0, 						/* Enabled and checked state */
			kCommonPanel, 3,			/* Other state (enabled state for icon buttons) */
		}
	}
};

resource 'hdlg' (kPersonalInfoPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Name field */
		HMStringResItem 
		{
			{0, 0}, 					/*place tip inside left edge of button*/
			{0,0,0,0},					/*default alternate rectangle: use */
										/* display rectangle*/
			kPersonalInfoPanel, 1,			/*enabled continue button*/
			0, 0, 						/*no dimmed state for field*/
			0, 0, 						/*no enabled-and-checked state for */
											/* button*/
			0, 0 						/*no other marked states for button*/
		},
	/* Organization field*/
		HMStringResItem 
		{
			{0, 0}, 					/*place tip inside left edge of button*/
			{0,0,0,0},					/*default alternate rectangle: use */
										/* display rectangle*/
			kPersonalInfoPanel, 2,			/*enabled continue button*/
			0, 0, 						/*no dimmed state for field*/
			0, 0, 						/*no enabled-and-checked state for */
											/* button*/
			0, 0 						/*no other marked states for button*/
		}
	}
};

resource 'hdlg' (kLocationPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Map */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kLocationPanel, 1,			/* Enabled*/
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};



resource 'hdlg' (kSignaturePanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Signature */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kSignaturePanel, 1,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};



resource 'hdlg' (kEmailOnePanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* E-mail address */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kEmailOnePanel, 1,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* Password */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kEmailOnePanel, 2,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};


resource 'hdlg' (kEmailTwoPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* E-mail account (POP) */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kEmailTwoPanel, 1,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* E-mail host */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kEmailTwoPanel, 2,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};



resource 'hdlg' (kHomePagePanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Home page */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kHomePagePanel, 1,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};



resource 'hdlg' (kNNTPHostPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Home page */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kNNTPHostPanel, 1,			/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};


resource 'hdlg' (kConclusionPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Go Ahead */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 1,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* Cancel */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 2,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* Show Details */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 3,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};


resource 'hdlg' (kDetailsPanel, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	0,									/* Start help with first item in 'DITL' */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem 							/*no missing-items help messages*/
	{					
	},
	{									/*help messages for items*/
	/* Go Ahead */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 1,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* Cancel */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 2,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
	/* Hide Details */
		HMStringResItem 
		{
			{0, 0}, 					/* Tip location */
			{0,0,0,0},					/* Alternate rectangle */
			kConclusionPanel, 4,		/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}
};

resource 'STR#' (kCommonPanel, "", purgeable) 
{
	{
	/*[1]*/
	"Click this button to go forward.";
	/*[2]*/
	"Click this button to go forward.\n"
	"Not available now because this is the end of the interview.";
	/*[3]*/
	"To review the previous question, click this button.";
	/*[4]*/
	"Click this arrow to go back.\n"
	"Not available now because this is the start of the interview.";
	}
};



resource 'STR#' (kPersonalInfoPanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type your name here. This name will be how you are identified "
	"when you use your e-mail and Internet programs.";
	/*[2]*/
	"Type the name of the company you work for or the "
	"organization you belong to here.\n"
	"You can leave it blank if you want.";
	}
};


resource 'STR#' (kLocationPanel, "", purgeable) 
{
	{
	/*[1]*/
	"On this map, click the area of your city or town. The location will be "
	"used to determine which Internet host computers are convenient "
	"for you."
	}
};


resource 'STR#' (kSignaturePanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type in this box any text that you want attached to the end of "
	"your e-mail messages. This text is most useful when it contains "
	"basic information about how to contact you."
	}
};



resource 'STR#' (kEmailOnePanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type in this box your e-mail address. Usually, your address includes some form"
	"of your name as an identifier, followed by @ and the name of the host "
	"computer that will receive mail for you.";
	/*[2]*/
	"Type here your e-mail password. Aks yout e-mail account provider "
	"for your password and whether you can change it."
	}
};


resource 'STR#' (kEmailTwoPanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type your e-mail POP account here. Your account may be "
	"a sligtly longer version of your address";
	/*[2]*/
	"Type your e-mail host computer here. This computer may be "
	"different from the one that holds your e-mail account, but "
	"its name ends with similar text because both computers are in "
	"the same domain."
	}
};



resource 'STR#' (kHomePagePanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type in this box the Web site address (also called the URL, or "
	"Uniform Resource Locator) of the site that you want to make "
	"your home page. You can leave the suggested site unchanged and "
	"change it later after you become familiat with different Web sites."
	}
};




resource 'STR#' (kNNTPHostPanel, "", purgeable) 
{
	{
	/*[1]*/
	"Type the name of your newsgroup host computer here."
	"You can leave it blank and add it later when you decide "
	"to join newgroups discussion."
	}
};



resource 'STR#' (kConclusionPanel, "", purgeable) 
{
	{
	/*[1]*/
	"To configure your Internet browsing and e-mail programs "
	" according to your settings, click this button.";
	/*[2]*/
	"To close this assistant without making any changes to your Internet settings, "
	"click this button.";
	/*[3]*/
	"To see a detailled summary of the Internet settings this assistant "
	"will use, click this button.";
	/*[4]*/
	"To hide the detailled summary, "
	"click this button.";
	}
};


resource 'hmnu' (128, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem
	{					
	},
	{
		HMStringResItem 
		{
			128, 1,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMStringResItem 
		{
			128, 2,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}

};


resource 'hmnu' (129, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem
	{					
	},
	{
		HMStringResItem 
		{
			128, 3,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMStringResItem 
		{
			128, 4,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMSkipItem
		{					
		},
		HMStringResItem 
		{
			128, 4,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}

};


resource 'hmnu' (130, "", purgeable) 
{
	HelpMgrVersion, 					/* Version of Help Manager */
	hmDefaultOptions,					/* Options */
	0,									/* Balloon definition ID */
	0,									/* Variation code */
	/* Missing-item */
	HMSkipItem
	{					
	},
	{
		HMStringResItem 
		{
			128, 5,						/* Enabled state */
			0, 0, 						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMStringResItem 
		{
			128, 6,						/* Enabled state */
			128, 7, 					/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMSkipItem
		{					
		},
		HMStringResItem 
		{
			128, 8,						/* Enabled state */
			128, 9,						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMStringResItem 
		{
			128, 10,						/* Enabled state */
			128, 11,						/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		},
		HMStringResItem 
		{
			128, 12,						/* Enabled state */
			128, 13,					/* Dimmed state*/
			0, 0, 						/* Enabled and checked state */
			0, 0,						/* Other state */
		}
	}

};

resource 'STR#' (128, "", purgeable) 
{
	{
	/*[1]*/
	"Apple Menu\n\n"
	"Use this menu to open an item in the Apple Menu Items folder or to "
	"find out more about the Internet Config Assistant.";
	/*[2]*/
	"Displays information about the Internet Config Assistant.";
	/*[3]*/
	"File menu\n\n"
	"Use this menu to quit the Internet Config Assistant.";
	/*[4]*/
	"Closes the assistant window and quits without changing your Internet configuration.";
	/*[5]*/
	"Edit menu\n\n"
	"Use this menu to work with text or to undo and action.";
	/*[6]*/
	"Undoes your last action if it involved cutting, copying, pasting or typing.";
	/*[7]*/
	"Undoes your last action if it involved cutting, copying, pasting or typing.\n"
	"Not available because your action connot be undone";
	/*[8]*/
	"Cuts the selected text. The text you cut is removed and placed in a temporary "
	"storage area called the Clipboard.";
	/*[9]*/
	"Cuts the selected text. The text you cut is removed and placed in a temporary "
	"storage area called the Clipboard. \n"
	"Not available because no text is selected.";
	/*[10]*/
	"Copies the selected text";
	/*[11]*/
	"Copies the selected text. \n"
	"Not available because no text is selected.";
	/*[12]*/
	"Places the content of the Clipboard at the location of the insertion point "
	"(or in place of the current selection).";
	/*[13]*/
	"Places the content of the Clipboard at the location of the insertion point "
	"(or in place of the current selection).\n"
	"Not available because the Clipboard doesn't contain text or "
	"because the insertion point is not at a location where pasting is possible.";
	}
};

