/*
	File:		CColor.cp

	Contains:	

	Written by:	Arno Gourdol

	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.

*/

#include "CColor.h"

#include <LowMem.h>


CColor::CColor(ColorIndex colorIndex)
{
	switch (colorIndex)
	{
		case kCurrentForeColor:
		{
			::GetForeColor(&fColor);
		}
		break;
		case kWhiteColor:
		{
			fColor.red = 0xFFFF;
			fColor.green = 0xFFFF;
			fColor.blue = 0xFFFF;
		}
		break;
		case kBlackColor:
		{
			fColor.red = 0;
			fColor.green = 0;
			fColor.blue = 0;
		}
		break;
		case kInsetBoxShadowColor:
		{
			fColor.red = 0xAAAA;
			fColor.green = 0xAAAA;
			fColor.blue = 0xAAAA;
		}
		break;
		case kInsetBoxHiliteColor:
		{
			fColor.red = 0xFFFF;
			fColor.green = 0xFFFF;
			fColor.blue = 0xFFFF;
		}
		break;
		case kBevelShadowColor:
		{
			fColor.red = 0x8888;
			fColor.green = 0x8888;
			fColor.blue = 0x8888;
		}
		break;
		case kBevelHiliteColor:
		{
			fColor.red = 0x6666;
			fColor.green = 0x6666;
			fColor.blue = 0x6666;
		}
		break;
		case kBevelFrameColor:
		{
			fColor.red = 0x8888;
			fColor.green = 0x8888;
			fColor.blue = 0x8888;
		}
		break;
		case kBevelBackgroundColor:
		{
			fColor.red = 0xEEEE;
			fColor.green = 0xEEEE;
			fColor.blue = 0xEEEE;
		}
		break;
		case kInvBevelFrameColor:
		{
			fColor.red = 0xBBBB;
			fColor.green = 0xBBBB;
			fColor.blue = 0xBBBB;
		}
		break;
		case kTextFrameFillColor:
		{
			fColor.red = 0xFFFF;
			fColor.green = 0xFFFF;
			fColor.blue = 0xFFFF;
		}
		break;
		case kFocusRingColor:
		{
			fColor.red = 0x9999;
			fColor.green = 0x9999;
			fColor.blue = 0xFFFF;
		}
		break;
		case kHighlightColor:
		{
			LMGetHiliteRGB(&fColor);
		}
		break;
		default:
		{
			assert(true);
		}
	}
}

