/*
	File:		CMultiDialogs.cp

	Contains:	Subclass of CDialogs which offer multiple pages

	Written by:	Arno Gourdol

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

*/

#pragma once

#ifndef __CMULTIDIALOGS__
#define __CMULTIDIALOGS__

#include "CDialogs.h"

class CMultiDialog : public CDialog
{
public:
	// constructor
	CMultiDialog(SInt16 dialogID, UInt16 commonItems, FontCode fontCode = kSystemFont);
		
	// destructor
	virtual ~CMultiDialog(void);		

	// accessors
	inline SInt16 GetDialogPane(void) { return fDialogPane; };
	
	// modifiers
	virtual void SetDialogPane(SInt16 pane);
	virtual void ItemHit(short itemHit);
	virtual void ItemHit(UInt16 pane, short itemHit);		


protected:
	SInt16 fDialogPane;			// ID of the current pane
	UInt16 fCommonItems;		// ID of the last item common to all the panes
};

#endif
