/************************************

	PathWalking.h:  Header file for shape walking library.
	
	Copyright , 1996, Apple Computer Inc.
	  Daniel I. Lipton
	  

************************************/

#include <Types.h>
#include <GXTypes.h>
#include <GXMath.h>
#include <GXGraphics.h>


/* shape walker function return result is true if we want to stop walking */

typedef Boolean (*TpwMovetoProc)(gxPoint *p, void* refcon) ;			// function is called to move to a new point (start new contour)
typedef Boolean (*TpwLinetoProc)(gxPoint *p, void* refcon) ;			// function is called to draw a line from current point to p
typedef Boolean (*TpwCurvetoProc)(gxPoint p[3], void* refcon) ;		// function is called to draw a curve from current point (which will be p[0] through p[1] to p[2]
typedef Boolean (*TpwClosepathProc)(void* refcon) ;								// function is called to close a contour.



/* return result will be true if path walking terminated by one of the callbacks. */

Boolean  ShapeWalker(gxShape theShape, 	TpwMovetoProc DoMoveto, 
																				TpwLinetoProc DoLineto, 
																				TpwCurvetoProc DoCurveto, 
																				TpwClosepathProc DoClosepath,
																				void* refcon);
