// ===========================================================================
//	CDocSpeech.h
// ===========================================================================

#pragma once

#include "SpeechRecognition.h"

//constants
const ResIDT	rSTR_LMNames		= 400;	//ID of STR# resource with LM names
const short		kStr_GApplLM		= 1;	//indices w/in resource
const short		kStr_GUnivLM		= 2;
const short		kStr_UFileLM		= 3;
const short		kStr_GDocuLM		= 4;
const short		kStr_DFileLM		= 5;
const short		kStr_DEditLM		= 6;

const ResIDT	kSTR_UFileCmds		= 500;	//ID of STR# resource with universal file phrases
const short		kStr_New			= 1;	//indices w/in resource
const short		kStr_Open			= 2;
const short		kStr_PageSetup		= 3;
const short		kStr_Quit			= 4;

const ResIDT	kSTR_DFileCmds		= 501;	//ID of STR# resource with document file phrases
const short		kStr_Close			= 1;	//indices w/in resource
const short		kStr_Save			= 2;
const short		kStr_SaveAs			= 3;
const short		kStr_Revert			= 4;
const short		kStr_Print			= 5;
const short		kStr_PrintOne		= 6;

const ResIDT	kSTR_DEditCmds		= 502;	//ID of STR# resource with universal edit phrases
const short		kStr_Undo			= 1;	//indices w/in resource
const short		kStr_Cut			= 2;
const short		kStr_Copy			= 3;
const short		kStr_Paste			= 4;
const short		kStr_Clear			= 5;
const short		kStr_SelectAll		= 6;

const ResIDT	kSTR_UApplCmds		= 503;	//ID of STR# resource with Apple menu phrases
const short		kStr_About			= 1;	//indices w/in resource

#define kEnableObj	true
#define kDisableObj	false


class CDocSpeech {

public:
		 					CDocSpeech();
	virtual					 ~CDocSpeech();
	static pascal OSErr  	HandleSpeechBegunAppleEvent (AppleEvent *theAEevt, AppleEvent* reply, long refcon);
	static pascal OSErr  	HandleSpeechDoneAppleEvent (AppleEvent *theAEevt, AppleEvent* reply, long refcon);

private:
			OSErr			MakeLanguageModels (void);
};